// jest.config.js
const { defaults } = require('jest-config');
module.exports = {
  // roots: ['<rootDir>/src'],
  roots: ['<rootDir>/tests'],
  transform: {
    '^.+\\.tsx?$': 'ts-jest',
  },
  "setupFiles": [
    "<rootDir>/tests/setup.js"
  ],
  testRegex: '^.+\\.test\\.(ts|tsx)$',
  moduleFileExtensions: [...defaults.moduleFileExtensions, 'ts', 'tsx', 'js', 'jsx', 'json', 'node'],
};
